API Reference
Production Batches
8 endpoints· Auth: JWT or API Key
get
/api/v1/console/production/batches JWT API KeyGet batches
Query parameters
| Status string | — |
| From string (date) | — |
| To string (date) | — |
| IncludeDeleted boolean | — |
| Page integer (int32) | — |
| PerPage integer (int32) | — |
| Search string | — |
| Skip integer (int32) | — |
| Sort string | — |
| Dir string | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/production/batches" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Query parameters
Set credentials in the “Authorize” menu
post
/api/v1/console/production/batches JWT API KeyCreate batches
Request body
application/json
{
"businessDate": "2026-09-30",
"chickenItemId": "00000000-0000-0000-0000-000000000000",
"chickenCount": 0,
"meatItemId": "00000000-0000-0000-0000-000000000000",
"meatKg": 0,
"riceItemId": "00000000-0000-0000-0000-000000000000",
"rawRiceKg": 0,
"cookedRiceMultiplier": 0,
"reservedRiceDirectSaleKg": 0,
"riceRoundingMethod": "string",
"extras": [
{
"inventoryItemId": "00000000-0000-0000-0000-000000000000",
"quantity": 0,
"unit": "string"
}
],
"notes": "string"
}| businessDate string (date) | — |
| chickenItemId string (uuid) | — |
| chickenCount integer (int32) | — |
| meatItemId string (uuid) | — |
| meatKg number (double) | — |
| riceItemId string (uuid) | — |
| rawRiceKg number (double) | — |
| cookedRiceMultiplier number (double) | — |
| reservedRiceDirectSaleKg number (double) | — |
| riceRoundingMethod string | — |
| extras CreateBatchExtraRequest[] | — |
| notes string | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/production/batches" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"businessDate": "2026-09-30",
"chickenItemId": "00000000-0000-0000-0000-000000000000",
"chickenCount": 0,
"meatItemId": "00000000-0000-0000-0000-000000000000",
"meatKg": 0,
"riceItemId": "00000000-0000-0000-0000-000000000000",
"rawRiceKg": 0,
"cookedRiceMultiplier": 0,
"reservedRiceDirectSaleKg": 0,
"riceRoundingMethod": "string",
"extras": [
{
"inventoryItemId": "00000000-0000-0000-0000-000000000000",
"quantity": 0,
"unit": "string"
}
],
"notes": "string"
}' Try itagainst staging · https://staging-api.panoptesos.com
Request body (JSON)
Set credentials in the “Authorize” menu
get
/api/v1/console/production/batches/{id} JWT API KeyGet id
Path parameters
| idrequired string (uuid) | — |
Query parameters
| OutputSort string | — |
| OutputDir string | — |
| Sort string | — |
| Dir string | — |
| output_sort string | — |
| output_dir string | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/production/batches/{id}" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Query parameters
Set credentials in the “Authorize” menu
put
/api/v1/console/production/batches/{id} JWT API KeyUpdate id
Path parameters
| idrequired string (uuid) | — |
Request body
application/json
{
"cookedRiceMultiplier": 0,
"reservedRiceDirectSaleKg": 0,
"riceRoundingMethod": "string"
}| cookedRiceMultiplier number (double) | — |
| reservedRiceDirectSaleKg number (double) | — |
| riceRoundingMethod string | — |
Responses
200Success
cURL
curl -X PUT "https://staging-api.panoptesos.com/api/v1/console/production/batches/{id}" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"cookedRiceMultiplier": 0,
"reservedRiceDirectSaleKg": 0,
"riceRoundingMethod": "string"
}' Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Request body (JSON)
Set credentials in the “Authorize” menu
delete
/api/v1/console/production/batches/{id} JWT API KeyDelete id
Path parameters
| idrequired string (uuid) | — |
Request body
application/json
{
"reason": "string"
}| reason string | — |
Responses
200Success
cURL
curl -X DELETE "https://staging-api.panoptesos.com/api/v1/console/production/batches/{id}" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Set credentials in the “Authorize” menu
post
/api/v1/console/production/batches/{id}/close JWT API KeyCreate close
Path parameters
| idrequired string (uuid) | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/production/batches/{id}/close" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Set credentials in the “Authorize” menu
put
/api/v1/console/production/batches/{id}/overflow JWT API KeyUpdate overflow
Path parameters
| idrequired string (uuid) | — |
Request body
application/json
{
"allowDirectRiceOverflow": false
}| allowDirectRiceOverflow boolean | — |
Responses
200Success
cURL
curl -X PUT "https://staging-api.panoptesos.com/api/v1/console/production/batches/{id}/overflow" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"allowDirectRiceOverflow": false
}' Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Request body (JSON)
Set credentials in the “Authorize” menu
put
/api/v1/console/production/batches/{id}/status JWT API KeyUpdate status
Path parameters
| idrequired string (uuid) | — |
Request body
application/json
{
"status": "string"
}| status string | — |
Responses
200Success
cURL
curl -X PUT "https://staging-api.panoptesos.com/api/v1/console/production/batches/{id}/status" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"status": "string"
}' Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Request body (JSON)
Set credentials in the “Authorize” menu